<?
// +---------------------------------------------------------------------------+
// This file is part of Stud.IP
// flvprovider.php
//
//
// Copyright (c) 2007 Peter Thienel <thienel@data-quest.de>
// Suchi & Berg GmbH <info@data-quest.de>
// +---------------------------------------------------------------------------+
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or any later version.
// +---------------------------------------------------------------------------+
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
// +---------------------------------------------------------------------------+

ob_start();
if (ini_get('zlib.output_compression')){
	@ini_set('zlib.output_compression','0');
}
if (!ini_get('allow_url_fopen')) {
	@ini_set('allow_url_fopen','1');
}

require_once('config.inc.php');

page_open(array("sess" => "Seminar_Session", "auth" => "Seminar_Default_Auth", "perm" => "Seminar_Perm", "user" => "Seminar_User"));
if (!($perm->have_perm('autor'))) {
	page_close();
	exit;
}
require_once ('lib/datei.inc.php');
$file = CAMPUSMEDIEN_FLASH_MEDIA_URL . escapeshellcmd(basename($_REQUEST['flv_id'])) . '.flv';

$headers = get_headers($file, 1);
ob_clean();

header("Expires: Mon, 12 Dec 2001 08:00:00 GMT");
header("Last-Modified: " . gmdate ("D, d M Y H:i:s") . " GMT");
if ($_SERVER['HTTPS'] == "on") {
	header("Pragma: public");
	header("Cache-Control: private");
} else {
	header("Pragma: no-cache");
	header("Cache-Control: no-store, no-cache, must-revalidate");   // HTTP/1.1
}
header("Cache-Control: post-check=0, pre-check=0", false);
header("Content-Type: video/x-flv");
header("Content-Description: File Transfer");
header("Content-Transfer-Encoding: binary");
header("Accept-Ranges: bytes");
if ($headers['Content-Length']) {
	header('Content-Length: ' . $headers['Content-Length']);
}
header("Content-Disposition: attachment; filename=\"campusmedien.flv\"");
ob_end_flush();
ob_clean();
@readfile_chunked($file);

page_close();
?>